Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.inventory
Class LocatorImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.ebusiness.inventory.LocatorImpl

public class LocatorImpl
extends BelongingImpl
implements Locator

This is place holder for a generic location. It contains a string that identifies a physical location.

See Also:
  `Locator`, `LocatorHome`, Serialized Form

Field Summary
`java.lang.String` | `location` location [Locator] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`LocatorImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getLocation()` Get the value of location
`void` | `setLocation(java.lang.String location)` Set the value of location
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    public java.lang.String location

                        location
       [Locator] <*>------> [String]

Constructor Detail

### LocatorImpl

    public LocatorImpl()

Method Detail

### getLocation

    public java.lang.String getLocation()

  Get the value of location
  Specified by:
    getLocation in interface Locator
  Returns:
    location.

### setLocation

    public void setLocation(java.lang.String location)

  Set the value of location
  Specified by:
    setLocation in interface Locator
  Parameters:
    `location` - location to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.